Sequence (Groovy 5.0.6)

Package: groovy.lang

## [Java] Class Sequence

- groovy.lang.Sequence

- All Implemented Interfaces and Traits:
    GroovyObject

      public class Sequence
      extends ArrayList
      implements GroovyObject

  Represents a sequence of zero or more objects of a given type. The type can be omitted in which case any type of object can be added.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `Sequence()`
    `Sequence(Class type)`
    `Sequence(Class type, List content)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `add(int index, Object element)`
    `` | `public boolean` | `add(Object element)`
    `` | `public boolean` | `addAll(Collection c)`
    `` | `public boolean` | `addAll(int index, Collection c)`
    `` | `protected void` | `checkCollectionType(Collection c)` Checks that each member of the given collection are of the correct type
    `` | `protected void` | `checkType(Object object)` Checks that the given object instance is of the correct type otherwise a runtime exception is thrown
    `` | `public void` | `clear()`
    `` | `public boolean` | `equals(Object that)`
    `` | `public boolean` | `equals(Sequence that)`
    `` | `public MetaClass` | `getMetaClass()`
    `` | `public Object` | `getProperty(String property)`
    `` | `public int` | `hashCode()`
    `` | `public Object` | `invokeMethod(String name, Object args)`
    `` | `public int` | `minimumSize()`
    `` | `public Object` | `remove(int index)`
    `` | `protected void` | `removeRange(int fromIndex, int toIndex)`
    `` | `public void` | `set(Collection collection)` Sets the contents of this sequence to that of the given collection.
    `` | `public Object` | `set(int index, Object element)`
    `` | `public void` | `setMetaClass(MetaClass metaClass)`
    `` | `public void` | `setProperty(String property, Object newValue)`
    `` | `public Class` | `type()` Returns: the type of the elements in the sequence or null if there is no type constraint on this sequence

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ArrayList` | `add, add, addAll, addAll, clear, clone, contains, containsAll, ensureCapacity, equals, forEach, get, getClass, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, notify, notifyAll, parallelStream, remove, remove, removeAll, removeIf, replaceAll, retainAll, set, size, sort, spliterator, stream, subList, toArray, toArray, toArray, toString, trimToSize, wait, wait, wait`

- - ### Constructor Detail

    - #### public Sequence()

    - #### public Sequence(Class type)

    - #### public Sequence(Class type, List content)

  - ### Method Detail

    - #### @Override
      public void add(int index, Object element)

    - #### @Override
      public boolean add(Object element)

    - #### @Override
      public boolean addAll(Collection c)

    - #### @Override
      public boolean addAll(int index, Collection c)

    - #### protected void checkCollectionType(Collection c)

      Checks that each member of the given collection are of the correct type

    - #### protected void checkType(Object object)

      Checks that the given object instance is of the correct type otherwise a runtime exception is thrown

    - #### @Override
      public void clear()

    - #### @Override
      public boolean equals(Object that)

    - #### public boolean equals(Sequence that)

    - #### @Override
      public MetaClass getMetaClass()

    - #### @Override
      public Object getProperty(String property)

    - #### @Override
      public int hashCode()

    - #### @Override
      public Object invokeMethod(String name, Object args)

    - #### public int minimumSize()

    - #### @Override
      public Object remove(int index)

    - #### @Override
      protected void removeRange(int fromIndex, int toIndex)

    - #### public void set(Collection collection)

      Sets the contents of this sequence to that of the given collection.

    - #### @Override
      public Object set(int index, Object element)

    - #### @Override
      public void setMetaClass(MetaClass metaClass)

    - #### @Override
      public void setProperty(String property, Object newValue)

    - #### public Class type()

      Returns:
        the type of the elements in the sequence or null if there is no type constraint on this sequence